Get Agent
curl --request GET \
--url https://api.agentpowers.ai/v1/agents/{slug}import requests
url = "https://api.agentpowers.ai/v1/agents/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/agents/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"type": "<string>",
"price_cents": 123,
"currency": "<string>",
"version": "<string>",
"security_status": "<string>",
"security_score": 123,
"download_count": 123,
"long_description": "<string>",
"trust_level": "<string>",
"view_count": 0,
"install_count": 0,
"rating_average": 123,
"rating_count": 0,
"published_at": "<string>",
"created_at": "<string>",
"archived_at": "<string>",
"author": {
"display_name": "<string>",
"github_username": "<string>",
"display_name_slug": "<string>",
"avatar_url": "<string>",
"verified": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}agents
Get Agent
Get agent details by slug.
Test-user authored agents are hidden from public callers but visible to their own author when authenticated.
GET
/
v1
/
agents
/
{slug}
Get Agent
curl --request GET \
--url https://api.agentpowers.ai/v1/agents/{slug}import requests
url = "https://api.agentpowers.ai/v1/agents/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/agents/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"type": "<string>",
"price_cents": 123,
"currency": "<string>",
"version": "<string>",
"security_status": "<string>",
"security_score": 123,
"download_count": 123,
"long_description": "<string>",
"trust_level": "<string>",
"view_count": 0,
"install_count": 0,
"rating_average": 123,
"rating_count": 0,
"published_at": "<string>",
"created_at": "<string>",
"archived_at": "<string>",
"author": {
"display_name": "<string>",
"github_username": "<string>",
"display_name_slug": "<string>",
"avatar_url": "<string>",
"verified": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?